<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file filelist='postgis' name='/etc/eole/eole-db.d/template_postgis.yml' mkdir='True' rm='True'/>
    </files>
    <containers>
        <container name='postgresql' id='11'>
            <package>eole-postgis-pkg</package>
        </container>
    </containers>

    <variables>
        <family name='postgresql' mode='expert' icon='postgres'>
        <variable name='pg_activer_postgis' type='oui/non' description="Créer le modèle postgis" mode='expert'/>
        </family>
    <separators>
        <separator name='pg_activer_postgis'>Modèle de base géographique</separator>
    </separators>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='pg_activer_postgis'>
            <param>non</param>
            <target type='filelist'>postgis</target>
        </condition>
    </constraints>
    <help>
    	<variable name='pg_activer_postgis'>Déclencher la création d'un template template_postgis avec activation de l'extension spatiale postgis utilisable pour créer des bases spatiales.</variable>
    </help>
</creole>
